Name:          libodbc1
Version:       2.3.0
Release:       3mamba
Summary:       Open specification for providing a predictable API to access Data Sources.
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.unixodbc.org/
Source:        http://www.unixodbc.org/unixODBC-%{version}.tar.gz
Patch:         libodbc-2.2.11-lex.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libltdl-devel
BuildRequires: libncurses-devel
BuildRequires: libreadline-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
ODBC is an open specification for providing application developers with a predictable API with which to access Data Sources.
Data Sources include SQL Servers and any Data Source with an ODBC Driver.

%package devel
Summary:       Devel package for libodbc
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description devel
ODBC is an open specification for providing application developers with a predictable API with which to access Data Sources.
Data Sources include SQL Servers and any Data Source with an ODBC Driver.
This package contains static libraries and header files needed for development.

%package tools
Summary:       Tools provided with libodbc
Group:         System/Tools
Requires:      %{name} = %{version}-%{release}

%description tools
ODBC is an open specification for providing application developers with a predictable API with which to access Data Sources.
Data Sources include SQL Servers and any Data Source with an ODBC Driver.
This package contains the tools provided with libodbc.

%debug_package

%prep
%setup -q -n unixODBC-%{version}
#%patch -p1 -b .lex
#rm odbcinstQ4/mC*.cpp

%build
%configure \
  --sysconfdir=%{_sysconfdir}/odbc
  
#  --with-qt-dir=%{_qt4_prefix} \
#  --with-qt-includes=%{_qt4_headerdir} \
#  MOC=%{_qt4_bindir}/moc \
#  UIC=%{_qt4_bindir}/uic

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libodbc*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libodbc*.la
%{_libdir}/libodbc*.so
%{_includedir}/*.h
#%{_libdir}/pkgconfig/odbc*.pc

%files tools
%defattr(-,root,root)
%dir %{_sysconfdir}/odbc
%dir %{_sysconfdir}/odbc/ODBCDataSources
%config(noreplace) %{_sysconfdir}/odbc/odbc.ini
%config(noreplace) %{_sysconfdir}/odbc/odbcinst.ini
%{_bindir}/dltest
%{_bindir}/iusql
%{_bindir}/isql
%{_bindir}/odbcinst
%{_bindir}/odbc_config
#%{_mandir}/man1/dltest.1*
#%{_mandir}/man1/isql.1*
#%{_mandir}/man1/iusql.1*
#%{_mandir}/man1/odbc_config.1*
#%{_mandir}/man1/odbcinst.1*
#%{_mandir}/man5/odbc.ini.5*
#%{_mandir}/man5/odbcinst.ini.5*
#%{_mandir}/man7/unixODBC.7*

%changelog
* Fri Dec 04 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.0-3mamba
- legacy package

* Fri Dec 24 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.0-2mamba
- don't create an empty package unixODBC-GUI-Qt, it can be made from a different source package now

* Sun Oct 03 2010 Automatic Build System <autodist@mambasoft.it> 2.3.0-1mamba
- update to 2.3.0

* Sat May 16 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.14-1mamba
- update to 2.2.14

* Fri Dec 12 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.13-1mamba
- automatic update by autodist

* Sun Jun 01 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.12-1mamba
- update to 2.2.12

* Mon Dec 19 2005 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 2.2.11-1qilnx
- update to version 2.2.11 by autospec
- specfile updated and fixed
- unixODBC-qt-gui subpackage excluded from bootstrap builds
- added lex patch

* Mon Oct 13 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.6-1qilnx
- first build
